Update Settings
curl --request PUT \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/specification-navigator/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expectedVersion": 4503599627370495,
"customGrouping": [
{
"kind": "area"
}
],
"showItemCount": true,
"showUnassigned": true,
"showExtraQuantity": true,
"showFloorPlan": true
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/specification-navigator/settings"
payload = {
"expectedVersion": 4503599627370495,
"customGrouping": [{ "kind": "area" }],
"showItemCount": True,
"showUnassigned": True,
"showExtraQuantity": True,
"showFloorPlan": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
expectedVersion: 4503599627370495,
customGrouping: [{kind: 'area'}],
showItemCount: true,
showUnassigned: true,
showExtraQuantity: true,
showFloorPlan: true
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/specification-navigator/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"layout": "areas",
"customGrouping": [
{
"kind": "area"
}
],
"version": 123,
"isDefault": true,
"showItemCount": true,
"showUnassigned": true,
"showExtraQuantity": true,
"showFloorPlan": true
}Specification Navigator
Update Settings
PUT
/
v1
/
workspaces
/
{workspaceId}
/
projects
/
{projectId}
/
specification-navigator
/
settings
Update Settings
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required range:
0 < x <= 9007199254740991Available options:
areas, categories, areas-categories, categories-areas, custom Required array length:
1 - 3 elements- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
Show child attributes
Show child attributes
Response
200 - application/json
Available options:
areas, categories, areas-categories, categories-areas, custom - Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
Show child attributes
Show child attributes
⌘I